Subject: Re: [PATCH 1/2] sh-setup: Write a new require_clean_work_tree function

From: Ramkumar Ramachandra <[email-masked]>
Date: Mon, 27 Sep 2010 00:21:17 +0530

Hi Matthieu,

Matthieu Moy writes:
> Yes, but I find this very painfull when you
> 
> $ git do-something
> error: you need X before you can do-something
> $ do X
> $ git do-something
> error: Ah, you also need Y before you can do-something

Ah, yes. This would definitely be annoying.

> A plain commit will get rid of staged changes, not of unstaged ones.
> 
> Your patch shows unstaged changes first. If the only problem was
> unstaged changes, then "git stash --keep-index" would be a good
> solution. As a user, I prefer knowing both problems to find the right
> solution (and avoid trying to solve only unstaged changes before
> noticing I need to solve the other one too).

Good point. I'll make the error messages a little more comprehensive
and focused in the next iteration.

-- Ram